diff --git a/framework/source/inc/loadenv/loadenv.hxx b/framework/source/inc/loadenv/loadenv.hxx
index 24ca05f..3fd68e3 100644
--- a/framework/source/inc/loadenv/loadenv.hxx
+++ b/framework/source/inc/loadenv/loadenv.hxx
@@ -69,35 +69,35 @@ public:
         E_NO_FEATURE = 0,
         /// enable using of UI elements during loading (means progress, interaction handler etcpp.)
         E_WORK_WITH_UI = 1,
-        /// enable loading of resources, which are not related to a target frame! (see concept of ContentHandler)
+        /// enable loading of resources, which are not related to a frame (see concept of ContentHandler)
         E_ALLOW_CONTENTHANDLER = 2
     };
 
     /** @short  classify a content.
 
-        @descr  The load environment must know, if a content
-                is related to a target frame or not. Only "visible"
+        @descr  The load environment needs to know if a content
+                is related to a recipient frame or not. Only "visible"
                 components, which fulfill the requirements of the
                 model-controller-view paradigm can be loaded into a frame.
                 Such contents are classified as E_CAN_BE_LOADED.
 
                 But e.g. for the dispatch framework exists special ContentHandler
-                objects, which can load a content in "non visible" mode ...
-                and do not need a target frame for its operation. Such
-                ContentHandler e.g. plays sounds.
+                objects, which can load a content in "non visible" mode
+                and do not need a recipient frame for it.
+                Such ContentHandler e.g. plays sounds.
                 Such contents are classified as E_CAN_BE_HANDLED.
 
-                And last but not least a content can be "not valid" in general.
+                And last but not least a content can be not supported.
      */
     enum EContentType
     {
-        /// identifies a content, which seems to be invalid in general
+        /// identifies a content, which seems to be unsupported
         E_UNSUPPORTED_CONTENT,
-        /// identifies a content, which can be used with a ContentHandler and is not related to a target frame
+        /// identifies a content, which can be used with a ContentHandler and is not related to a recipient frame
         E_CAN_BE_HANDLED,
-        /// identifies a content, which can be loaded into a target frame
+        /// identifies a content, which can be loaded into a recipient frame
         E_CAN_BE_LOADED,
-        /// special mode for non real loading, In such case the model is given directly!
+        /// special mode for non real loading, in such case the model is given directly
         E_CAN_BE_SET
     };
 
@@ -110,34 +110,34 @@ private:
     css::uno::Reference< css::uno::XComponentContext > m_xContext;
 
     /** @short  points to the frame, which uses this LoadEnv object
-                and must be used to start target search there.
+                and is used to start recipient search there.
      */
-    css::uno::Reference< css::frame::XFrame > m_xBaseFrame;
+    css::uno::Reference< css::frame::XFrame > m_xOriginFrame;
 
-    /** @short  points to the frame, into which the new component was loaded.
+    /** @short  points to the frame, into which the new component is loaded.
 
         @descr  Note: This reference will be empty if loading failed
-                or a non visible content was loaded!
-                It can be the same frame as m_xBaseFrame it describe, in case
-                the target "_self", "" or the search flag "SELF" was used.
+                or a non visible content is loaded.
+                It can be the same frame as m_xOriginFrame it describe, in case
+                the recipient "_self", "" or the search flag "SELF" was used.
                 Otherwise it's the new created or recycled frame, which was
                 used for loading and contains further the new component.
 
-                Please use method getTarget() or getTargetComponent()
+                Please use method getRecipient() or getReceivingComponent()
                 to return the frame/controller or model to any interested
                 user of the results of this load request.
      */
-    css::uno::Reference< css::frame::XFrame > m_xTargetFrame;
+    css::uno::Reference< css::frame::XFrame > m_xRecipientFrame;
 
-    /** @short  contains the name of the target, in which the specified resource
-                of this instance must be loaded.
+    /** @short  contains the name of the recipient, in which the specified resource
+                of this instance is loaded.
      */
-    OUString m_sTarget;
+    OUString m_sRecipient;
 
-    /** @short  if m_sTarget is not a special one, this flags regulate searching
+    /** @short  if m_sRecipient is not a special one, this flags regulate searching
                 of a suitable one.
      */
-    sal_Int32 m_nSearchFlags;
+    sal_Int32 m_nSearchOptions;
 
     /** @short  contains all needed information about the resource,
                 which should be loaded.
@@ -158,38 +158,38 @@ private:
     /** @short  classify the content, which should be loaded by this instance. */
     EContentType m_eContentType;
 
-    /** @short  it indicates, that the member m_xTargetFrame was new created for this
-                load request and must be closed in case loading (not handling!)
-                operation failed. The default value is sal_False!
+    /** @short  it indicates that the member m_xRecipientFrame is created for this
+                load and will be closed in case loading (not handling) failed.
+                The default value is sal_False
      */
     bool m_bCloseFrameOnError;
 
-    /** @short  it indicates, that the old document (which was located inside m_xBaseFrame
-                in combination with the m_sTarget value "_self") was suspended.
+    /** @short  it indicates that the old document (which was located inside m_xOriginFrame
+                in combination with the m_sRecipient value "_self") was suspended.
                 Normally it will be replaced by the new loaded document. But in case
-                loading (not handling!) failed, it must be reactivated.
-                The default value is sal_False!
+                loading (not handling) failed, it must be reactivated.
+                The default value is sal_False
      */
     bool m_bReactivateControllerOnError;
 
-    /** @short  it holds one (!) asynchronous used contenthandler or frameloader
+    /** @short  it holds single asynchronous used content-handler or frame-loader
                 alive, till the asynchronous operation will be finished.
      */
     css::uno::Reference< css::uno::XInterface > m_xAsynchronousJob;
 
     /** @short  holds the information about the finished load process.
 
-        @descr  The content of m_xTargetFrame can't be used as valid indicator,
+        @descr  The content of m_xRecipientFrame can't be used as valid indicator,
                 (in case the existing old document was reactivated)
-                we must hold the result of the load process explicitly.
+                thus hold the result of the load explicitly.
      */
     bool m_bLoaded;
 
     /** @short      holds an XActionLock on the internal used task member.
 
-        @seealso    m_xTargetFrame
+        @seealso    m_xRecipientFrame
      */
-    ActionLockGuard m_aTargetLock;
+    ActionLockGuard m_aRecipientLock;
 
     rtl::Reference<QuietInteraction> m_pQuietInteraction;
 
@@ -201,7 +201,7 @@ public:
                 reference to an uno service manager, which can be used internally
                 to create on needed services on demand.
 
-        @throw  Currently there is no reason to throw such exception!
+        @throw  Currently there is no reason to throw such exception
 
         @throw  A RuntimeException in case any internal process indicates, that
                 the whole runtime can't be used any longer.
@@ -215,57 +215,57 @@ public:
 
     static css::uno::Reference< css::lang::XComponent > loadComponentFromURL(const css::uno::Reference< css::frame::XComponentLoader >&    xLoader,
                                                                              const css::uno::Reference< css::uno::XComponentContext >&     xContext,
-                                                                             const OUString&                                        sURL   ,
-                                                                             const OUString&                                        sTarget,
-                                                                                   sal_Int32                                               nFlags ,
+                                                                             const OUString&                                    sURL   ,
+                                                                             const OUString&                                    sRecipient ,
+                                                                                   sal_Int32                                               nOptions ,
                                                                              const css::uno::Sequence< css::beans::PropertyValue >&        lArgs  )
-        throw(css::lang::IllegalArgumentException,
-              css::io::IOException               ,
-              css::uno::RuntimeException         );
+        throw( css::lang::IllegalArgumentException,
+               css::io::IOException,
+               css::uno::RuntimeException );
 
     /** @short  set some changeable parameters for a new load request.
 
-        @descr  The parameter for targeting, the content description, and
+        @descr  The parameter for getting the description of content and
                 some environment specifier (UI, dispatch functionality)
-                can be set here ... BEFORE the real load process is started
+                can be set here ... BEFORE the real loading is started
                 by calling startLoading(). Of course a still running load request
-                will be detected here and a suitable exception will be thrown.
-                Such constellation can be detected outside by using provided
+                is handled here by throwing a suitable exception.
+                Such constellation can be seen outside by using provided
                 synchronisation methods or callbacks.
 
         @param  sURL
-                points to the resource, which should be loaded.
+                points to the resource, which will be loaded.
 
         @param  lMediaDescriptor
                 contains additional information for the following load request.
 
-        @param  xBaseFrame
-                points to the frame which must be used as start point for target search.
+        @param  xOriginFrame
+                points to the frame which must be used as origin for search.
 
-        @param  sTarget
+        @param  sRecipient
                 regulate searching/creating of frames, which should contain the
                 new loaded component afterwards.
 
-        @param  nSearchFlags
-                regulate searching of targets, if sTarget is not a special one.
+        @param  nSearchOptions
+                regulate searching of frames, if sRecipient is not a special one.
 
         @param  eFeature
                 flag field, which enable/disable special features of this
-                new instance for following load call.
+                new instance for following load.
 
         @throw  A LoadEnvException e.g. if another load operation is till in progress
                 or initialization of a new one fail by other reasons.
                 The real reason, a suitable message and ID will be given here immidiatly.
 
-        @throw  A RuntimeException in case any internal process indicates, that
+        @throw  A RuntimeException in case some internal process shows that
                 the whole runtime can't be used any longer.
      */
-    void initializeLoading(const OUString&                                           sURL            ,
-                           const css::uno::Sequence< css::beans::PropertyValue >&    lMediaDescriptor,
-                           const css::uno::Reference< css::frame::XFrame >&          xBaseFrame      ,
-                           const OUString&                                           sTarget         ,
-                                 sal_Int32                                           nSearchFlags    ,
-                                 EFeature                                            eFeature        = E_NO_FEATURE);
+    void initializeLoading( const OUString& sURL,
+                            const css::uno::Sequence< css::beans::PropertyValue >& lMediaDescriptor,
+                            const css::uno::Reference< css::frame::XFrame >& xOriginFrame,
+                            const OUString& sRecipient,
+                                  sal_Int32 nSearchOptions,
+                                  EFeature eFeature = E_NO_FEATURE );
 
     /** @short  start loading of the resource represented by this loadenv instance.
 
@@ -312,13 +312,13 @@ public:
     bool waitWhileLoading(sal_uInt32 nTimeout = 0);
 
     /** TODO document me ... */
-    css::uno::Reference< css::lang::XComponent > getTargetComponent() const;
+    css::uno::Reference< css::lang::XComponent > getReceivingComponent() const;
 
 public:
 
     /** @short      checks if the specified content can be handled by a
-                    ContentHandler only and is not related to a target frame,
-                    or if it can be loaded by a FrameLoader into a target frame
+                    ContentHandler only and is not related to a recipient frame,
+                    or if it can be loaded by a FrameLoader into a recipient frame
                     as "visible" component.
 
         @descr      using:
@@ -329,7 +329,7 @@ public:
                                 break;
 
                             case E_CAN_BE_LOADED :
-                                xFrame = locateTargetFrame();
+                                xFrame = locateRecipientFrame();
                                 loadIt(xFrame);
                                 break;
 
@@ -405,7 +405,7 @@ private:
         @descr  It searches for a suitable content handler object, registered
                 for the detected content type (must be done before by calling
                 impl_detectTypeAndFilter()). Because such handler does not depend
-                from a real target frame, location of such frame will be
+                from a real recipient frame, location of such frame will be
                 suppressed here.
                 In case handle failed all new created resources will be
                 removed before a suitable exception is thrown.
@@ -423,12 +423,12 @@ private:
 
     /** @short  tries to use FrameLoader objects for loading.
 
-        @descr  First the target frame will be located. If it could be found
+        @descr  First the recipient frame will be located. If it could be found
                 or new created a filter/frame loader will be instantiated and
                 used to load the content into this frame.
                 In case loading failed all new created resources will be
                 removed before a suitable exception is thrown.
-                (Excepting a RuntimeException occurrence!)
+                (excepting a RuntimeException occurrence)
 
         @return TODO
 
@@ -442,10 +442,10 @@ private:
 
     /** @short  checks if the specified content is already loaded.
 
-        @descr  It depends from the set target information, if such
+        @descr  It depends on the set of information from recipient, if such
                 search is allowed or not! So this method checks first,
-                if the target is the special one "_default".
-                If not it returns with an empty result immidatly!
+                if the recipient is the special one "_default".
+                If not it returns with an empty result immidatly.
                 In case search is allowed, an existing document with the
                 same URL is searched. If it could be found, the corresponding
                 view will get the focus and this method return the corresponding frame.
@@ -453,7 +453,7 @@ private:
                 view of the document will be updated to show the position
                 inside the document, which is related to the jumpmark.
 
-        @return A valid reference to the target frame, which contains the already loaded content
+        @return A valid reference to the recipient frame, which contains the already loaded content
                 and could be activated successfully. An empty reference oterwhise.
 
         @throw  A LoadEnvException only in cases, where an internal error indicates,
@@ -466,10 +466,10 @@ private:
     css::uno::Reference< css::frame::XFrame > impl_searchAlreadyLoaded()
         throw(LoadEnvException, css::uno::RuntimeException);
 
-    /** @short  search for any target frame, which seems to be useable
+    /** @short  search for any recipient frame, which seems to be useable
                 for this load request.
 
-        @descr  Because this special feature is bound to the target specifier "_default"
+        @descr  Because this special feature is bound to the recipient specifier "_default"
                 its checked inside first. If it's not set => this method return an empty
                 reference. Otherwise any currently existing frame will be analyzed, if
                 it can be used here. The following rules exists:
@@ -479,11 +479,11 @@ private:
                     <li>or contains an empty document of the same application module
                         which the new document will have (Note: the filter of the new content
                         must be well known here!)</li>
-                    <li>and(!) this target must not be already used by any other load request.</li>
+                    <li>and this recipient is not expected to be already used by any other load.</li>
                 </ul>
 
-                If a suitable target is located it will be locked. Thats why the last rule
-                exists! If this method returns a valid frame reference, it was locked to be useable
+                If a suitable recipient is located it will be locked. Thats why the last rule
+                is here. If this method returns a valid frame reference, it was locked to be useable
                 for this load request only. (Don't forget to reset this state later!)
                 Concurrent LoadEnv instances can synchronize her work be using such locks :-) HOPEFULLY
 
@@ -494,7 +494,7 @@ private:
         @throw  A RuntimeException in case any internal process indicates, that
                 the whole runtime can't be used any longer.
      */
-    css::uno::Reference< css::frame::XFrame > impl_searchRecycleTarget()
+    css::uno::Reference< css::frame::XFrame > impl_searchRecycleRecipient()
         throw(LoadEnvException, css::uno::RuntimeException, std::exception);
 
     /** @short  because showing of a frame is needed more than once...
diff --git a/framework/source/inc/loadenv/loadenvexception.hxx b/framework/source/inc/loadenv/loadenvexception.hxx
index fedf954..754ef55 100644
--- a/framework/source/inc/loadenv/loadenvexception.hxx
+++ b/framework/source/inc/loadenv/loadenvexception.hxx
@@ -57,8 +57,8 @@ class LoadEnvException
                         global desktop reference! */
             ID_INVALID_ENVIRONMENT,
 
-            /** @short  indicates a failed search for the right target frame. */
-            ID_NO_TARGET_FOUND,
+            /** @short  indicates a failed search for frame */
+            ID_NO_FRAME_FOUND,
 
             /** @short  TODO */
             ID_COULD_NOT_REACTIVATE_CONTROLLER,
diff --git a/framework/source/jobs/helponstartup.cxx b/framework/source/jobs/helponstartup.cxx
index 8acf259..788e993 100644
--- a/framework/source/jobs/helponstartup.cxx
+++ b/framework/source/jobs/helponstartup.cxx
@@ -19,7 +19,7 @@
 
 // include own header
 #include <jobs/helponstartup.hxx>
-#include <loadenv/targethelper.hxx>
+#include <loadenv/deliveryhelper.hxx>
 #include <services.h>
 
 // include others
@@ -31,7 +31,7 @@
 #include <rtl/ustrbuf.hxx>
 
 // include interfaces
-#include <com/sun/star/frame/FrameSearchFlag.hpp>
+#include <com/sun/star/frame/FrameSearchOption.hpp>
 #include <com/sun/star/frame/ModuleManager.hpp>
 #include <com/sun/star/frame/XFramesSupplier.hpp>
 #include <com/sun/star/frame/Desktop.hpp>
@@ -223,8 +223,8 @@ OUString HelpOnStartup::its_getCurrentHelpURL()
     if (!xDesktop.is())
         return OUString();
 
-    css::uno::Reference< css::frame::XFrame > xHelp = xDesktop->findFrame(SPECIALTARGET_HELPTASK, css::frame::FrameSearchFlag::CHILDREN);
-    if (!xHelp.is())
+    css::uno::Reference< css::frame::XFrame > xHelp = xDesktop->findFrame( SPECIAL_HELPTASK, css::frame::FrameSearchOption::Children );
+    if ( !xHelp.is() )
         return OUString();
 
     OUString sCurrentHelpURL;
diff --git a/framework/source/jobs/job.cxx b/framework/source/jobs/job.cxx
index 935c79c..049d8bb 100644
--- a/framework/source/jobs/job.cxx
+++ b/framework/source/jobs/job.cxx
@@ -471,7 +471,7 @@ void Job::impl_reactForJobResult( /*IN*/ const css::uno::Any& aResult )
 
 /**
     @short  starts listening for office shutdown and closing of our
-            given target frame (if it's a valid reference)
+            given recipient frame (if it's a valid reference)
     @descr  We will register ourself as terminate listener
             at the global desktop instance. That will hold us
             alive and additional we get the information, if the
diff --git a/framework/source/jobs/jobdispatch.cxx b/framework/source/jobs/jobdispatch.cxx
index e11c822..4e7f0b0 100644
--- a/framework/source/jobs/jobdispatch.cxx
+++ b/framework/source/jobs/jobdispatch.cxx
@@ -115,8 +115,8 @@ public:
 
     // XDispatchProvider
     virtual css::uno::Reference< css::frame::XDispatch > SAL_CALL                       queryDispatch  ( const css::util::URL&                                       aURL             ,
-                                                                                                         const OUString&                                      sTargetFrameName ,
-                                                                                                               sal_Int32                                             nSearchFlags     ) throw(css::uno::RuntimeException, std::exception) override;
+                                                                                                         const OUString&                                      sRecipientFrameName ,
+                                                                                                               sal_Int32                                             nSearchOptions     ) throw(css::uno::RuntimeException, std::exception) override;
     virtual css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > > SAL_CALL queryDispatches( const css::uno::Sequence< css::frame::DispatchDescriptor >& lDescriptor      ) throw(css::uno::RuntimeException, std::exception) override;
 
     // XNotifyingDispatch
@@ -197,17 +197,17 @@ void SAL_CALL JobDispatch::initialize( const css::uno::Sequence< css::uno::Any >
     @param  aURL
                 the queried URL, which should be checked
 
-    @param  sTargetFrameName
-                describes the target frame, in which context this handler will be used
+    @param  sRecipientFrameName
+                describes the recipient frame, in which context this handler will be used
                 Is mostly set to "", "_self", "_blank", "_default" or a non special one
                 using SELF/CREATE as search flags.
 
-    @param  nSearchFlags
-                Can be SELF or CREATE only and are set only if sTargetFrameName isn't a special target
+    @param  nSearchOptions
+                Can be SELF or CREATE only and are set only if sRecipientFrameName isn't a special case
 */
 css::uno::Reference< css::frame::XDispatch > SAL_CALL JobDispatch::queryDispatch( /*IN*/ const css::util::URL&  aURL             ,
-                                                                                  /*IN*/ const OUString& /*sTargetFrameName*/ ,
-                                                                                  /*IN*/       sal_Int32        /*nSearchFlags*/     ) throw(css::uno::RuntimeException, std::exception)
+                                                                                  /*IN*/ const OUString& /*sRecipientFrameName*/ ,
+                                                                                  /*IN*/       sal_Int32        /*nSearchOptions*/     ) throw(css::uno::RuntimeException, std::exception)
 {
     css::uno::Reference< css::frame::XDispatch > xDispatch;
 
diff --git a/framework/source/layoutmanager/toolbarlayoutmanager.cxx b/framework/source/layoutmanager/toolbarlayoutmanager.cxx
index 4424595..14185c5 100644
--- a/framework/source/layoutmanager/toolbarlayoutmanager.cxx
+++ b/framework/source/layoutmanager/toolbarlayoutmanager.cxx
@@ -1628,9 +1628,9 @@ void ToolbarLayoutManager::implts_writeWindowStateData( const UIElement& rElemen
     aWriteLock.clear();
 }
 
-/******************************************************************************
+/*
                         LOOKUP PART FOR TOOLBARS
-******************************************************************************/
+*/
 
 UIElement& ToolbarLayoutManager::impl_findToolbar( const OUString& aName )
 {
@@ -1731,9 +1731,9 @@ void ToolbarLayoutManager::implts_setToolbar( const UIElement& rUIElement )
         m_aUIElements.push_back( rUIElement );
 }
 
-/******************************************************************************
+/*
                         LAYOUT CODE PART FOR TOOLBARS
-******************************************************************************/
+*/
 
 awt::Point ToolbarLayoutManager::implts_findNextCascadeFloatingPos()
 {
diff --git a/framework/source/loadenv/targethelper.cxx b/framework/source/loadenv/deliveryhelper.cxx
similarity index 50%
rename from framework/source/loadenv/targethelper.cxx
rename to framework/source/loadenv/deliveryhelper.cxx
index 488b052..f6a6c84 100644
--- a/framework/source/loadenv/targethelper.cxx
+++ b/framework/source/loadenv/deliveryhelper.cxx
@@ -17,57 +17,53 @@
  *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
  */
 
-#include <loadenv/targethelper.hxx>
+#include <loadenv/deliveryhelper.hxx>
 
-namespace framework{
+namespace framework {
 
-bool TargetHelper::matchSpecialTarget(const OUString& sCheckTarget  ,
-                                                ESpecialTarget   eSpecialTarget)
+bool DeliveryHelper::isSpecialRecipient( const OUString& sName ,
+                                               ESpecialRecipient eSpecial )
 {
-    switch(eSpecialTarget)
+    switch( eSpecial )
     {
         case E_SELF :
-            return (
-                    (sCheckTarget.isEmpty()                 ) ||
-                    sCheckTarget == SPECIALTARGET_SELF
-                   );
+            return ( sName.isEmpty() || sName == SPECIAL_SELF );
 
         case E_PARENT :
-            return sCheckTarget == SPECIALTARGET_PARENT;
+            return sName == SPECIAL_PARENT;
 
         case E_TOP :
-            return sCheckTarget == SPECIALTARGET_TOP;
+            return sName == SPECIAL_TOP;
 
         case E_BLANK :
-            return sCheckTarget == SPECIALTARGET_BLANK;
+            return sName == SPECIAL_BLANK;
 
         case E_DEFAULT :
-            return sCheckTarget == SPECIALTARGET_DEFAULT;
+            return sName == SPECIAL_DEFAULT;
 
         case E_BEAMER :
-            return sCheckTarget == SPECIALTARGET_BEAMER;
+            return sName == SPECIAL_BEAMER;
 
         case E_HELPTASK :
-            return sCheckTarget == SPECIALTARGET_HELPTASK;
+            return sName == SPECIAL_HELPTASK;
         default:
             return false;
     }
 }
 
-bool TargetHelper::isValidNameForFrame(const OUString& sName)
+bool DeliveryHelper::isValidNameForFrame( const OUString& sName )
 {
-    // some special targets are really special ones :-)
-    // E.g. the are really used to locate one frame inside the frame tree.
+    // some special recipients are really special ones :-)
+    // e.g. the are really used to locate one frame inside the frame tree
     if (
-        (sName.isEmpty()                                    ) ||
-        (TargetHelper::matchSpecialTarget(sName, E_HELPTASK)) ||
-        (TargetHelper::matchSpecialTarget(sName, E_BEAMER)  )
+         ( sName.isEmpty() ) ||
+         ( DeliveryHelper::isSpecialRecipient(sName, E_HELPTASK) ) ||
+         ( DeliveryHelper::isSpecialRecipient(sName, E_BEAMER) )
        )
         return true;
 
-    // all other names must be checked more general
-    // special targets starts with a "_".
-    return (sName.indexOf('_') != 0);
+    // special cases begin with a "_"
+    return ( sName.indexOf('_') != 0 );
 }
 
 } // namespace framework
